# Uses of Class
net.shibboleth.idp.cas.protocol.ProtocolContext

Packages that use ProtocolContext
Package
Description
net.shibboleth.idp.cas.audit.impl
CAS protocol audit implementations.
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.

## Uses of ProtocolContext in net.shibboleth.idp.cas.audit.impl

Fields in net.shibboleth.idp.cas.audit.impl with type parameters of type ProtocolContext
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,ProtocolContext>`
GatewayLookupFunction.`protocolContextFunction`
Lookup strategy for protocol context.
`private final Function<ProfileRequestContext,ProtocolContext>`
ProxyGrantingTicketLookupFunction.`protocolContextFunction`
Lookup strategy for protocol context.
`private final Function<ProfileRequestContext,ProtocolContext>`
RenewLookupFunction.`protocolContextFunction`
Lookup strategy for protocol context.
`private final Function<ProfileRequestContext,ProtocolContext>`
ServiceLookupFunction.`protocolContextFunction`
Lookup strategy for protocol context.
`private final Function<ProfileRequestContext,ProtocolContext>`
StatusCodeLookupFunction.`protocolContextFunction`
Lookup strategy for protocol context.
`private final Function<ProfileRequestContext,ProtocolContext>`
StatusDetailLookupFunction.`protocolContextFunction`
Lookup strategy for protocol context.
`private final Function<ProfileRequestContext,ProtocolContext>`
TicketLookupFunction.`protocolContextFunction`
Lookup strategy for protocol context.
Constructor parameters in net.shibboleth.idp.cas.audit.impl with type arguments of type ProtocolContext
Modifier
Constructor
Description
``
`GatewayLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.
``
`ProxyGrantingTicketLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.
``
`RenewLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.
``
`ServiceLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.
``
`StatusCodeLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.
``
`StatusDetailLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.
``
`TicketLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.

## Uses of ProtocolContext in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl with type parameters of type ProtocolContext
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,ProtocolContext<RequestType,ResponseType>>`
AbstractCASProtocolAction.`protocolLookupFunction`
Looks up a CAS protocol context from IdP profile request context.
Methods in net.shibboleth.idp.cas.flow.impl that return ProtocolContext
Modifier and Type
Method
Description
`protected ProtocolContext<RequestType,ResponseType>`
AbstractCASProtocolAction.`getProtocolContext(ProfileRequestContext prc)`
Get the CAS protocol context.